Sync allowlist for connected account
Triggers an on-demand sync from the exchange, bypassing the cache and fetching live data immediately.
Rate limit: 1 request per minute per connected account.
Note: Currently supports CoinbaseExchange/Binance accounts only.
POST
/
connected_accounts
/
{accountId}
/
allowlist
/
sync
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.connectedAccounts.syncConnectedAccountAllowlist(connectedAccountsApiSyncConnectedAccountAllowlistRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.connectedAccounts().syncConnectedAccountAllowlist(accountId, idempotencyKey);response = fireblocks.connected_accounts.sync_connected_account_allowlist(account_id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/connected_accounts/{accountId}/allowlist/syncconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/connected_accounts/{accountId}/allowlist/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The connected account identifier
Response
Sync request accepted and processing
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.connectedAccounts.syncConnectedAccountAllowlist(connectedAccountsApiSyncConnectedAccountAllowlistRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.connectedAccounts().syncConnectedAccountAllowlist(accountId, idempotencyKey);response = fireblocks.connected_accounts.sync_connected_account_allowlist(account_id, idempotency_key);